Subject: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Jun 2025 20:06:30 +0300

>> >> We have the option 'wdired-search-replace-filenames'
>> >> that can be customized to nil.
>> >
>> > That's what I wanted to note: different types of isearch behavior can
>> > potentially be useful in wdired, but it can be controlled _only_ via
>> > customization, in contrast to dired.  It would be nice if toggling
>> > `dired-isearch-filenames-mode' would still do something.  That it
>> > does nothing can be unexpected.  Not the end of the world but
>> > something that I personally don't like that much.
>>
>> So you propose to duplicate all related functions from dired to wdired?
>
> Do we have to duplicate them?  Can't we just use the same set of
> functions?
>
> Looks like that's more or less already the, but with an additional
> artificial different treatment of how the search and replace commands
> work by default.  Or maybe I'm missing something.

`wdired-search-replace-filenames` is required anyway
since it also sets `replace-search-function`.